//go:build !windows

package wol

import (
	"net"
	"syscall"
)

func enableBroadcast(conn *net.UDPConn, debug bool) error {
	raw, err := conn.SyscallConn()
	if err != nil {
		return err
	}
	var setErr error
	raw.Control(func(fd uintptr) {
		setErr = syscall.SetsockoptInt(int(fd), syscall.SOL_SOCKET, syscall.SO_BROADCAST, 1)
	})
	return setErr
}
